declare module 'lodash/cloneDeep'
declare module 'lodash'
declare module 'qs'

/* 数组类型 */
declare type ArrayItem = {
  /* id */
  id: string
  /* 名称 */
  name: string
}

/* 图片 */
declare type ImgItem = {
  /* 地址 */
  filePath: string
  ossId: string
  id: string
}

/* 园区楼宇类型 */
declare type ParkItem = ArrayItem & {
  /* id */
  value: string
  /* 名称 */
  text: string
  /* 图片 */
  images: ImgItem[]
  /* 楼宇 */
  buildings: ArrayItem[]
}

/* 企业 */
declare interface enterpriseItem extends ArrayItem {
  /* 园区名称 */
  parkName: string
  /* 园区id */
  parkId: string
  /* 联系人 */
  contactName: string
  /* 联系方式 */
  contactMobile: string
}

/**
 * 分页查询参数
 */
declare interface PageQuery extends EmptyObjectType {
  /* 页码 */
  pageNum: number
  /* 每页数量 */
  pageSize: number
}

// children 可选
declare type ChilType<T = any> = {
  children?: T[]
}

// 数组
declare type EmptyArrayType<T = any> = T[]

// 对象
declare type EmptyObjectType<T = any> = {
  [key: string]: T
}

/* tabs切换标签 */
declare type TabsItem = {
  id: number
  /* 名称 */
  title: string
}
